%define php_majver %(php-config --version | cut -d. -f1-2)
%define pkgver %(echo %version | tr '[:lower:]' '[:upper:]')
Name:          php-xdebug
Version:       3.3.1
Release:       1mamba
Summary:       A PHP extension for powerful debugging
Group:         Applications/Development
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://xdebug.org/
Source:        https://github.com/xdebug/xdebug.git/%{version}/xdebug-%{version}.tar.bz2
#Source:        https://xdebug.org/files/xdebug-%{version}.tgz
License:       PHP License
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libz-devel
## AUTOBUILDREQ-END
BuildRequires: php-devel >= 7.4.6
Requires:      php >= %{php_majver}
Requires:      php <= %{php_majver}.99
Provides:      xdebug

%description
A PHP extension for powerful debugging. It supports stack and function traces, profiling information and memory allocation and script execution analysis.

%package debugclient
Group:         Applications/Development
Summary:       Test client application for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description debugclient
Test client application for %{name}.

%debug_package

%prep
%setup -q -n xdebug-%{pkgver}

%build
phpize
%configure
%make

#cd debugclient
#./buildconf
#%configure --with-libedit
#%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall INSTALL_ROOT=%{buildroot}

#install -D -m0755 debugclient/debugclient %{buildroot}%{_bindir}/debugclient

install -d -m0755 %{buildroot}%{_sysconfdir}/php/php.d
cat > %{buildroot}%{_sysconfdir}/php/php.d/xdebug.ini <<EOF
; Enable xdebug extension module
zend_extension=xdebug.so
;xdebug.remote_enable=On
;xdebug.remote_host="192.168.0.117"
;xdebug.remote_port=9000
;xdebug.remote_handler="dbgp"
EOF

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%{_sysconfdir}/php/php.d/xdebug.ini
%{_libdir}/php/extensions/xdebug.so

#%files debugclient
#%defattr(-,root,root)
#%{_bindir}/debugclient

%changelog
* Tue Jan 16 2024 Automatic Build System <autodist@openmamba.org> 3.3.1-1mamba
- automatic version update by autodist

* Wed Nov 09 2022 Automatic Build System <autodist@mambasoft.it> 3.1.6-1mamba
- automatic version update by autodist

* Tue Jun 07 2022 Automatic Build System <autodist@mambasoft.it> 3.1.5-1mamba
- automatic version update by autodist

* Sun May 22 2022 Automatic Build System <autodist@mambasoft.it> 3.1.4-1mamba
- automatic version update by autodist

* Sun May 31 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 2.9.6-1mamba
- update to 2.9.6

* Wed Feb 20 2019 Silvan Calarco <silvan.calarco@mambasoft.it> 2.7.0RC2-1mamba
- update to 2.7.0RC2

* Wed Jan 27 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 2.4.0rc4-1mamba
- update to 2.4.0rc4

* Thu Sep 18 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 2.2.5-1mamba
- update to 2.2.5

* Thu Feb 13 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 2.2.3-2mamba
- rebuilt with debug client
- xdebug.ini updated

* Mon Nov 11 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 2.2.3-1mamba
- package created by silvan using the webbuild interface
